Page MenuHomePhabricator

Submit response to Article 17 Promemoria
Closed, ResolvedPublic30 Estimate Story Points

Description

Deadline 25 October to submit response to the Ministry of Legal Affairs Article 17 Promemoria.

Details

Due Date
Nov 14 2019, 11:00 PM

Event Timeline

Eric_Luth_WMSE set Due Date to Oct 24 2019, 10:00 PM.
Eric_Luth_WMSE set the point value for this task to 30.
Eric_Luth_WMSE changed Due Date from Oct 24 2019, 10:00 PM to Nov 14 2019, 11:00 PM.Oct 21 2019, 7:28 AM

Deadline postponed to 15 November.

Jopparn moved this task from Backlog to Done on the User-Jopparn board.
Jopparn added a subscriber: Jopparn.

Please add the link to wiki page.

Jopparn closed this task as Resolved.Nov 25 2019, 10:36 AM